/* Force Splide to control layout */
[id*="-slider-on"] .splide__track {
  overflow: hidden !important;
}

[id*="-slider-on"] .splide__list {
  display: flex !important;
  flex-wrap: nowrap !important;
}

[id*="-slider-on"] .splide__slide {
  flex: 0 0 auto !important;
  display: flex;
  justify-content: center;
}

/* Remove Gevme width constraints */
[id*="-slider-on"] .gevme-imagelist-block-flex-container {
  width: 100% !important;
}

/* back to top CSS */
.page-top-btn {
    position: fixed;
    bottom: 0;
    right: 20px;
    z-index: 999;
}

.scroll-to-element {
	display: flex;
  justify-content: space-evenly;
  align-items: center;
  width: 120px;
  height: 40px;
  background-color: #0e0e0e;
  border-radius: 50%;
  color: #fff;
  text-decoration: none;
  padding: 5px;
  border-radius: 25px;
  border: 1px solid #fff;
}

.scroll-to-element .arrow-top {
	border: solid #fff;
  border-width: 0 2px 2px 0;
  display: inline-block;
  padding: 4px;
  transform: rotate(-135deg);
  margin-bottom: -4px;
}

@media only screen and (max-width: 575px) {
  .page-top-btn {
      right: 10px;
      font-size: 10px;
  }
  .scroll-to-element {
    width: 100px;
    height: 30px;
  }
}

/* --- START --- Mailing List Popup Style */
.mailing-list-popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgb(0 0 0 / 63%);
    display: none; /* Hidden by default */
    align-items: center;
    justify-content: center;
    z-index: 999999;
}

.mailing-list-popup-content {
    background: #fff;
    padding: 30px;
    border-radius: 10px;
    position: relative;
    width: 30%;
    max-width: 90%;
    max-height: 90%;
    text-align: center;
    box-shadow: 0 5px 15px rgba(0,0,0,0.3);
}

.mailing-list-popup-content p {
    color: #000;
    line-height: 1.2;
    margin: 0 0 10px 0;
    font-size: 24px;
    margin-top: 10px;
}

.mailing-list-popup-content a {
    background: #FAA21B;
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    display: block;
    max-width: 250px;
    margin: 20px auto 0;
    border-radius: 4px;
    padding: 10px;
}

.mailing-list-popup-content a:hover {
    background: #000;
    color: #fff;
}

.close-btn {
    position: absolute;
    top: 8px;
    right: 20px;
    font-size: 40px;
    cursor: pointer;
    color: #000;
    line-height: 1;
}

@media screen and (max-width: 1199px) {
    .mailing-list-popup-content {
        width: 100%;
    }
}
@media screen and (max-width: 567px) {
    .mailing-list-popup-content p {
        font-size: 18px;
    }
}
/* --- END --- Mailing List Popup Style */